Bug 438992 - nash-hotplug in initrd-2.6.25-0.136.rc6.git5.fc9.img adds a 5 seconds delay
nash-hotplug in initrd-2.6.25-0.136.rc6.git5.fc9.img adds a 5 seconds delay
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 09:15 EDT by Michal
Modified: 2009-07-14 12:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal 2008-03-26 09:15:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5pre) Gecko/2008032018 Fedora/3.0-0.45.cvs20080317.fc9 Minefield/3.0b5pre

Description of problem:
Hi,

I noticed that nash-hotplug takes much longer on 2.6.25-0.136.rc6.git5
than 2.6.25-0.121.rc5.git4

2.6.25-0.121.rc5.git4
http://www.stardust.webpages.pl/files/bootchart01.png

2.6.25-0.136.rc6.git5
http://www.stardust.webpages.pl/files/bootchart02.png

Regards,
Michal

Version-Release number of selected component (if applicable):
kernel-2.6.25-0.136.rc6.git5.fc9.i686

How reproducible:
Always


Steps to Reproduce:
1. yum upgrade kernel
2. yum install bootchart
3. compare nash-hotplug start time between 2.6.25-0.121.rc5.git4.fc9 and 2.6.25-0.136.rc6.git5.fc9

Actual Results:


Expected Results:


Additional info:
Comment 1 Michal 2008-03-26 09:28:17 EDT
Ok, this looks like a random delay - sometimes nash-hotplug runs fast, sometimes
slow.
Comment 2 Peter Jones 2008-04-07 10:45:22 EDT
I'm pretty convinced (though not 100% certain) this is is bootchart accounting
for the time incorrectly -- I've instrumented nash-hotplug and to try and
verify, and it looks like it's awake and doing work for mere fractions of a
second in total.
Comment 3 Michal 2008-04-08 10:39:07 EDT
Now nash-hotplug takes 18 seconds
http://www.stardust.webpages.pl/files/bootchart06.png

I guess that this is a fallout from the latest "very common kernel modules slow
down the boot process" thread or a bugfix
https://bugzilla.redhat.com/show_bug.cgi?id=431882

I agree that this is not nash problem - it works perfectly fine with k.org kernel
http://www.stardust.webpages.pl/files/bootchart04.png
Comment 4 Bug Zapper 2008-05-14 02:52:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:52:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:08:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.